Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class CallerInfoAdder

    java.lang.Object
      org.jboss.aop.instrument.CallerInfoAdder

Direct Known Subclasses:
  ClassicCallerInfoAdder, GeneratedAdvisorCallerInfoAdder

public abstract class CallerInfoAdder
extends Object

Strategy for adding caller info fields to class

Version:
  $Revision$
Author:
  Kabir Khan

Constructor Summary
`protected` | `CallerInfoAdder(Instrumentor instrumentor)`
`protected` | `CallerInfoAdder(Instrumentor instrumentor, int mod)`

Method Summary
`protected abstract void` | `addConByConInfoField(javassist.CtClass addTo, String fieldName, int callingIndex, String classname, long calledHash)`
`protected void` | `addConByConInfoField(javassist.CtClass addTo, String fieldName, String init)`
`protected abstract void` | `addConByMethodInfoField(javassist.CtClass addTo, String fieldName, long callingHash, String classname, long calledHash)`
`protected void` | `addConByMethodInfoField(javassist.CtClass addTo, String fieldName, String init)`
`protected abstract boolean` | `addInfoAsWeakReference()`
`protected abstract void` | `addMethodByConInfoField(javassist.CtClass addTo, String fieldName, int callingIndex, String classname, long calledHash)`
`protected void` | `addMethodByConInfoField(javassist.CtClass addTo, String fieldName, String init)`
`protected abstract void` | `addMethodByMethodInfoField(javassist.CtClass addTo, String fieldName, long callingHash, String classname, long calledHash)`
`protected void` | `addMethodByMethodInfoField(javassist.CtClass addTo, String fieldName, String init)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallerInfoAdder

    protected CallerInfoAdder(Instrumentor instrumentor)

### CallerInfoAdder

    protected CallerInfoAdder(Instrumentor instrumentor,
                              int mod)

Method Detail

### addMethodByMethodInfoField

    protected abstract void addMethodByMethodInfoField(javassist.CtClass addTo,
                                                       String fieldName,
                                                       long callingHash,
                                                       String classname,
                                                       long calledHash)
                                                throws javassist.NotFoundException,
                                                       javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addConByMethodInfoField

    protected abstract void addConByMethodInfoField(javassist.CtClass addTo,
                                                    String fieldName,
                                                    long callingHash,
                                                    String classname,
                                                    long calledHash)
                                             throws javassist.NotFoundException,
                                                    javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addConByConInfoField

    protected abstract void addConByConInfoField(javassist.CtClass addTo,
                                                 String fieldName,
                                                 int callingIndex,
                                                 String classname,
                                                 long calledHash)
                                          throws javassist.NotFoundException,
                                                 javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addMethodByConInfoField

    protected abstract void addMethodByConInfoField(javassist.CtClass addTo,
                                                    String fieldName,
                                                    int callingIndex,
                                                    String classname,
                                                    long calledHash)
                                             throws javassist.NotFoundException,
                                                    javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addConByConInfoField

    protected void addConByConInfoField(javassist.CtClass addTo,
                                        String fieldName,
                                        String init)
                                 throws javassist.NotFoundException,
                                        javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addConByMethodInfoField

    protected void addConByMethodInfoField(javassist.CtClass addTo,
                                           String fieldName,
                                           String init)
                                    throws javassist.NotFoundException,
                                           javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addMethodByConInfoField

    protected void addMethodByConInfoField(javassist.CtClass addTo,
                                           String fieldName,
                                           String init)
                                    throws javassist.NotFoundException,
                                           javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addMethodByMethodInfoField

    protected void addMethodByMethodInfoField(javassist.CtClass addTo,
                                              String fieldName,
                                              String init)
                                       throws javassist.NotFoundException,
                                              javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addInfoAsWeakReference

    protected abstract boolean addInfoAsWeakReference()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.